Bug#659150: libgstreamer-perl: unbuildable on non-linux archs

Pino Toscano pino at debian.org
Wed Feb 8 17:47:14 UTC 2012

Package: libgstreamer-perl
Version: 0.16-1
Severity: important
Tags: patch


currently libgstreamer-perl cannot be built on non-Linux architectures,
because it build-depends on gstreamer0.10-alsa, which exists on Linux
only (since ALSA in specific to Linux).
It seems it is used in some tests of the test suite, although they
seem to skip checks if there is no alsa bin available; hence, the
proposed change is to make gstreamer0.10-alsa, both as build dependency
and recommend, restricted to linux architectures.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: non-linux.diff
Type: text/x-diff
Size: 772 bytes
Desc: not available
URL: <http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/attachments/20120208/15b55a86/attachment.diff>

More information about the pkg-perl-maintainers mailing list